# Enum Class UwsStage

java.lang.Object
java.lang.Enum<UwsStage>
uk.ac.starlink.vo.UwsStage

All Implemented Interfaces:
  `Serializable, Comparable<UwsStage>, Constable`

public enum UwsStage extends Enum<UwsStage>
Enum for categorising the stage of UWS processing. This effectively subdivides the various phases defined by UWS.

Since:
  17 Feb 2011
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FINISHED`
Job has finished successfully or otherwise; will not progress further.
`ILLEGAL`
Not a defined phase string.
`RUNNING`
Job is progressing; should reach FINISHED stage eventually.
`UNKNOWN`
UNKNOWN phase; may change in future.
`UNSTARTED`
Job will not complete of its own accord; need to post RUN phase.

## Method Summary

Modifier and Type
Method
Description
`static UwsStage`
`forPhase(String phase)`
Returns the stage corresponding to a given UWS phase.
`Collection<String>`
`getPhaseList()`
Returns the phases which correspond to this stage.
`static UwsStage`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static UwsStage[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNSTARTED

public static final UwsStage UNSTARTED
Job will not complete of its own accord; need to post RUN phase.

### RUNNING

public static final UwsStage RUNNING
Job is progressing; should reach FINISHED stage eventually.

### FINISHED

public static final UwsStage FINISHED
Job has finished successfully or otherwise; will not progress further.

### UNKNOWN

public static final UwsStage UNKNOWN
UNKNOWN phase; may change in future.

### ILLEGAL

public static final UwsStage ILLEGAL
Not a defined phase string.

## Method Details

### values

public static UwsStage[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static UwsStage valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getPhaseList

public Collection<String> getPhaseList()
Returns the phases which correspond to this stage.

Returns:
  unmodifiable collection of defined phase strings

### forPhase

public static UwsStage forPhase(String phase)
Returns the stage corresponding to a given UWS phase. If the given phase is not one defined by UWS, ILLEGAL is returned.

Parameters:
  `phase` - UWS phase string
Returns:
  corresponding stage